#ifndef MYUDP_H
#define MYUDP_H

#include <QObject>
#include <QtNetwork>

class myUdp : public QObject
{
    Q_OBJECT

public:
    explicit myUdp(QObject *parent = 0);
    int txPort;
    bool serverIsOpen = false;
    QHostAddress network;
    QUdpSocket *server;
    void iniciaBusqueda(QHostAddress ipN, bool bdc);
    void disconnectServer();

private slots:
    void vDatagramaRxSV();

private:
    void conectaServidor ();
    void vInterpretaTramaRebudaUdp(QByteArray datagrama,
                                   QHostAddress adrecaOrigen);
    void enviaMissatge (QString qsz, QHostAddress ip);
    void vTrametSocolUdp(QByteArray datagram,QHostAddress
                         adreca,quint16 port);

    void missatgeOk (QString ipOrigen);

signals:
    void respostaObtinguda(QString ipOrigen);

public slots:

};

#endif // MYUDP_H
