#include "options.h"
#include "ui_options.h"

Options::Options(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::Options)
{
    ui->setupUi(this);
    //isAdHocMode();
    broadCast = ui->cbBroadCAst->isChecked();

    if (ui->cbConectionType->currentText() == "TCP Direct"){
        adhoc =  true;
    } else adhoc = false;
    ip = ui->lineEditIP->text();
}

Options::~Options()
{
    delete ui;
}

void Options::on_pushButton_clicked()
{
    broadCast = ui->cbBroadCAst->isChecked();

    if (ui->cbConectionType->currentText() == "TCP Direct"){
        ui->cbBroadCAst->setEnabled(false);
        adhoc =  true;
    } else {
        ui->cbBroadCAst->setEnabled(true);
        adhoc = false;
    }
    ip = ui->lineEditIP->text();
    done(QDialog::Accepted);
}

void Options::on_pushButton_2_clicked()
{
    setResult(QDialog::Rejected);
    close();
}

bool Options::isAdHocMode()
{
    return adhoc;
}

QString Options::getIp(){
    return ip;
}

bool Options::getBroadcast(){
    return broadCast;
}

void Options::on_cbConectionType_currentIndexChanged(const QString &arg1)
{
    if (arg1 == "TCP Direct"){
        ui->cbBroadCAst->setEnabled(false);
        ui->lineEditIP->setText("192.168.100.1");
    } else {
        ui->cbBroadCAst->setEnabled(true);
        //ui->lineEditIP->setEnabled(true);
    }
}
