#ifndef OPTIONS_H
#define OPTIONS_H

#include <QDialog>

namespace Ui {
class Options;
}

class Options : public QDialog
{
    Q_OBJECT

public:
    explicit Options(QWidget *parent = 0);
    ~Options();

    bool isAdHocMode();
    bool getBroadcast();
    QString getIp();


private slots:
    void on_pushButton_clicked();

    void on_pushButton_2_clicked();

    void on_cbConectionType_currentIndexChanged(const QString &arg1);

private:
    bool broadCast, adhoc;
    QString ip;
    Ui::Options *ui;
};

#endif // OPTIONS_H
