#ifndef TCPCLIENT_H
#define TCPCLIENT_H

#include <QObject>
#include <QTcpSocket>

class tcpClient : public QObject
{
    Q_OBJECT
public:
    explicit tcpClient(QObject *parent = 0);
    int txPort;
    bool bConnectTcp();
    void vDisconnectTcp();
    void vManageReceivedData(QByteArray);

    QTcpSocket * _pSocket;
    bool bConnected;
    int rxPort;
    QString srvIp;


    void conectarTcpClient(QString);
    void vSendMessage(QString qsz);

signals:
    void vReceivedTcp(QByteArray);
    void sendToInterface (QString);
    void sendTcpConnected ();


public slots:
    void readTcpData();

};

#endif // TCPCLIENT_H
